
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TCompareType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TCompareType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *     &lt;enumeration value="equal"/>
 *     &lt;enumeration value="not_equal"/>
 *     &lt;enumeration value="greater"/>
 *     &lt;enumeration value="greater_or_equal"/>
 *     &lt;enumeration value="lower"/>
 *     &lt;enumeration value="lower_or_equal"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TCompareType")
@XmlEnum
public enum TCompareType {

    @XmlEnumValue("equal")
    EQUAL("equal"),
    @XmlEnumValue("not_equal")
    NOT_EQUAL("not_equal"),
    @XmlEnumValue("greater")
    GREATER("greater"),
    @XmlEnumValue("greater_or_equal")
    GREATER_OR_EQUAL("greater_or_equal"),
    @XmlEnumValue("lower")
    LOWER("lower"),
    @XmlEnumValue("lower_or_equal")
    LOWER_OR_EQUAL("lower_or_equal");
    private final String value;

    TCompareType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TCompareType fromValue(String v) {
        for (TCompareType c: TCompareType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
